Package org.eclipse.m2m.atl.core.ui

# Class ATLConsole

java.lang.Object
org.eclipse.ui.console.AbstractConsole
org.eclipse.ui.console.TextConsole
org.eclipse.ui.console.IOConsole
org.eclipse.m2m.atl.core.ui.ATLConsole

All Implemented Interfaces:
  `org.eclipse.ui.console.IConsole`

public final class ATLConsole extends org.eclipse.ui.console.IOConsole
The ATL console plugin.

## Method Summary

Modifier and Type
Method
Description
`static ATLConsole`
`findConsole()`
Find or create the ATLConsole.

### Methods inherited from class org.eclipse.ui.console.IOConsole

`clearConsole, createPage, dispose, getCharset, getEncoding, getHighWaterMark, getInputStream, getLowWaterMark, getPartitioner, isAnsiConsoleEnabled, isCarriageReturnAsControlCharacter, isHandleControlCharacters, newOutputStream, setCarriageReturnAsControlCharacter, setHandleControlCharacters, setInputStream, setWaterMarks`

### Methods inherited from class org.eclipse.ui.console.TextConsole

`addHyperlink, addPatternMatchListener, getAttribute, getBackground, getConsoleWidth, getDocument, getFont, getHyperlink, getHyperlinks, getRegion, getSchedulingRule, getTabWidth, init, isConsoleAutoScrollLock, matcherFinished, partitionerFinished, removePatternMatchListener, setAttribute, setBackgrond, setBackground, setConsoleAutoScrollLock, setConsoleWidth, setFont, setTabWidth`

### Methods inherited from class org.eclipse.ui.console.AbstractConsole

`activate, addPropertyChangeListener, destroy, firePropertyChange, getHelpContextId, getImageDescriptor, getName, getType, initialize, removePropertyChangeListener, setImageDescriptor, setName, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### findConsole

public static ATLConsole findConsole()
Find or create the ATLConsole.

Returns:
  the ATLConsole